let store=null
 let colorScale=d3.scaleOrdinal().domain([1,10]).range(d3.schemeCategory10)
 d3.json('data.json').then( data=> {
   store=data
   showData(store)
console.log(store)
   
 })

let svg = d3.select('#container')
  .attr('height',500)
  .attr('width',960)
 

    // let nodes, links=null
    function creatElements(data){
       let nodes=svg.append('g')
       .attr('class','nodes')
       .selectAll('circle')
       .data(data.nodes)
       .enter()
       .append('circle')
       .attr('r',6)
       .attr('fill', d=> colorScale(d.group))
       // .call( d3.drag()
       //  .on("start", d=> d3.select(this).raise().attr("stroke", "black"))
       //  .on("drag", d=>  d3.select(this).attr("cx", d.x = d3.event.x).attr("cy", d.y = d3.event.y))
       //  .on("end", d=> d3.select(this).attr("stroke", null)));
       
       let links=svg.append('g')
       .attr('class','links')
       .selectAll('line')
       .data(data.links)
       .enter()
       .append('line')  
       .style("stroke",'black')
      .style("stroke-width",d=> +d.value/20) // Max value
       
    }
    function updateElements(){

      d3.select('.nodes')
      .selectAll('circle')
      .attr('cx', d=>d.x)
      .attr('cy', d=>d.y)
      
      d3.append("text")
      .attr("dx", 12)
      .attr("dy", ".30em")
      .text(function(d) { return d.id });
      
      d3.select('.links')
      .selectAll('line')
      .attr('x1', d=>d.source.x)
      .attr('y1', d=>d.source.y)
      .attr('x2', d=>d.target.x)
      .attr('y2', d=>d.target.y) 
    }
  function showData(data){
      let height = 500
      let width = 960

     creatElements(data)

      let simulation= d3.forceSimulation()
        .force('link',d3.forceLink().id(function(d){   
          return d.id;
             }))
        .force('charge',d3.forceManyBody())
        .force('center',d3.forceCenter(width/2,height/2))
       
        simulation.nodes(data.nodes)
        .on('tick', updateElements) 
        simulation.force('link').links(data.links)
    }
